package com.hzya.frame.seeyon.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.util.List;

/**
 * @author 👻👻👻👻👻👻👻👻👻👻 gjh
 * @version 1.0
 * @content
 * @date 2023-08-30 10:38
 */
public class SeeYonInterFaceEntity extends BaseEntity {
    private String tabName;
    //三方系统ID
    private String tripartiteId;
    //OA对应字段
    private String oaField;
    //模板info
    private String field_info;
    //模版ID
    private String formAppId;
    //主表集合
    private List<String> formMainIds;
    //主表ID，用于查询明细数据
    private String formMainId;
    //事件类型
    private String eventType;
    //表单名称
    private String name;
    //流程id
    private String summaryId;
    public String getTabName() {
        return tabName;
    }

    public void setTabName(String tabName) {
        this.tabName = tabName;
    }

    public String getTripartiteId() {
        return tripartiteId;
    }

    public void setTripartiteId(String tripartiteId) {
        this.tripartiteId = tripartiteId;
    }

    public String getOaField() {
        return oaField;
    }

    public void setOaField(String oaField) {
        this.oaField = oaField;
    }

    public String getField_info() {
        return field_info;
    }

    public void setField_info(String field_info) {
        this.field_info = field_info;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getFormAppId() {
        return formAppId;
    }

    public void setFormAppId(String formAppId) {
        this.formAppId = formAppId;
    }

    public List<String> getFormMainIds() {
        return formMainIds;
    }

    public void setFormMainIds(List<String> formMainIds) {
        this.formMainIds = formMainIds;
    }

    public String getFormMainId() {
        return formMainId;
    }

    public void setFormMainId(String formMainId) {
        this.formMainId = formMainId;
    }

    public String getEventType() {
        return eventType;
    }

    public void setEventType(String eventType) {
        this.eventType = eventType;
    }

    public String getSummaryId() {
        return summaryId;
    }

    public void setSummaryId(String summaryId) {
        this.summaryId = summaryId;
    }
}
